<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Status Enumeration Reference</title>
    <link rel="stylesheet" type="text/css" href="../../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../../js/jquery.min.js" defer></script>
    <script src="../../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Enum/Status" class="dashAnchor"></a>
    <a title="Status Enumeration Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../../index.html">SwiftObject Docs</a> (94% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../../index.html">SwiftObject Reference</a>
        <img id="carat" src="../../img/carat.png" />
        Status Enumeration Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Classes/Object.html">Object</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/Object/Status.html">– Status</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Structs/Box.html">Box</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Typealiases.html#/s:11SwiftObject0B8Functiona">ObjectFunction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Status</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">Status</span> <span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="kt">Codable</span></code></pre>

                </div>
              </div>
            <p>Helper type to return inside functions</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:SY8RawValueQa"></a>
                    <a name="//apple_ref/swift/Alias/RawValue" class="dashAnchor"></a>
                    <a class="token" href="#/s:SY8RawValueQa">RawValue</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">typealias</span> <span class="kt">RawValue</span> <span class="o">=</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C6StatusO9TypeErroryA2EmF"></a>
                    <a name="//apple_ref/swift/Element/TypeError" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C6StatusO9TypeErroryA2EmF">TypeError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Status returned when incorrect type is passed</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="kt">TypeError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C6StatusO8NilValueyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/NilValue" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C6StatusO8NilValueyA2EmF">NilValue</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Status returned when there is no value found</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="kt">NilValue</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C6StatusO11NilFunctionyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/NilFunction" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C6StatusO11NilFunctionyA2EmF">NilFunction</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Status returned when there is no function found</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="kt">NilFunction</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C6StatusO9CompletedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/Completed" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C6StatusO9CompletedyA2EmF">Completed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Status returned when function passed as expected</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="kt">Completed</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C6StatusO3ttgopyA2EFZ"></a>
                    <a name="//apple_ref/swift/Method/~~&gt;(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C6StatusO3ttgopyA2EFZ">~~&gt;(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Quick access to Status</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">prefix</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">~~&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Status</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Status</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://gitlab.com/_leif/SwiftObject" target="_blank" rel="external">Zach Eriksen</a>. All rights reserved. (Last updated: 2018-09-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.3</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
